Subject: RE: DISCUSS: draft-ietf-softwire-hs-framework-l2tpv2

From: Bernard Aboba <[email-masked]>
Date: Fri, 27 Mar 2009 06:24:19 -0700

I am not sure that the absence/presence of NAS-IP-Address/NAS-IPv6-Address necessarily provides information about the nature of the traffic within RADIUS accounting. For example, it is quite possible that both attributes will be present. 

Is there a reason why we can't just define accounting attributes to provide the information you're looking for?

=======================================================
> CC: [email-masked]; [email-masked]; [email-masked]; [email-masked]; [email-masked]
> From: [email-masked]
> To: [email-masked]
> Subject: Re: DISCUSS: draft-ietf-softwire-hs-framework-l2tpv2 
> Date: Fri, 27 Mar 2009 09:39:31 +0100
> 
> Hi all,
> 
> Just an update on one item:
> 
> [snip]
> >
> >> * RFC 2866, by referencing draft-stevant-softwire-accounting, which
> >> redefines the format of the NAS-IP-Address attribute (which only
> >> supports IPv4 addresses; NAS-IPv6-Address is used to contain IPv6
> >> addresses).
> >
> > It looks like draft-stevant-... indeed has text that isn't correct
> > (but also looks easy to fix). But this is an informative reference (to
> > an expired internet-draft), so it probably should not block the
> > publication of this document.
> 
> 
> I updated draft-stevant-softwire-accounting and fixed the issue about  
> attributes. The document is not yet published (the datatracker tool is  
> hanging when uploading ...) but here is an excerpt of the paragraph  
> you referenced in this draft:
> 
> 4.2.  Differentiation based on context
> 
>     A RADIUS accounting entry, as defined in [RFC2867] and updated by
>     [RFC3162], also includes the NAS-IP-Address and NAS-IPv6-Address
>     attributes, which gives the IP address of the NAS used as the
>     softwire endpoint.  Based on this information, an operator can  
> decide
>     if this softwire is based on IPv4 or IPv6.  In the case of provider
>     only deploying IPv6 over IPv4 and IPv4 over IPv6 softwires, the
>     nature of the traffic reported in the accounting information depends
>     of which attribute between NAS-IP-Address and NAS-IPv6-Address is
>     set.  If NAS-IP-Address is set in the accounting entry, accounted
>     traffic is IPv6.  If NAS-IPv6-Address is set in the accounting  
> entry,
>     accounted traffic is IPv4.  However, this solution requires extra
>     checking when building accounting report and obviously does not work
>     in case of IPvX over IPvX softwires.